;              
CREATE USER IF NOT EXISTS "SA" SALT 'd456427f98526b12' HASH 'fdc486331bfc18ce436824df8c13ca4b1bb9ccf8ba4b1c468b65326b928f6ae5' ADMIN;          
CREATE CACHED TABLE "PUBLIC"."ATTRIBUTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(256),
    "VALUE" VARCHAR(2048)
);           
ALTER TABLE "PUBLIC"."ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ATTRIBUTE;
CREATE CACHED TABLE "PUBLIC"."CATEGORY"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "SORT" INTEGER,
    "CATEGORY_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_3" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.CATEGORY; 
INSERT INTO "PUBLIC"."CATEGORY" VALUES
(1, '2022-01-08 08:22:22', '2022-01-08 08:22:22', 'Personnage principal', '', '', '', 1, NULL),
(2, '2022-01-08 08:22:22', '2022-01-08 08:22:22', 'Personnage secondaire', '', '', '', 2, NULL);        
CREATE CACHED TABLE "PUBLIC"."CHAPTER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "PART_ID" BIGINT,
    "CHAPTERNO" INTEGER,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_5" PRIMARY KEY("ID");       
-- 4 +/- SELECT COUNT(*) FROM PUBLIC.CHAPTER;  
INSERT INTO "PUBLIC"."CHAPTER" VALUES
(1, '2022-01-08 08:22:22', '2022-01-08 08:22:22', 'Chapitre 1', '', '', '', 'Chapitre 1', 1, 1, TIMESTAMP '2022-01-08 08:22:22.635', NULL, NULL, 0),
(2, '2022-01-15 20:05:04', '2022-01-15 20:05:04', 'Chapitre 02', '', '', '', 'Chapitre 02', 1, 2, NULL, NULL, NULL, 0),
(3, '2022-01-15 20:05:04', '2022-01-15 20:05:04', 'Chapitre 03', '', '', '', 'Chapitre 03', 1, 3, NULL, NULL, NULL, 0),
(4, '2022-01-15 20:05:04', '2022-01-15 20:05:04', 'Chapitre 04', '', '', '', 'Chapitre 04', 1, 4, NULL, NULL, NULL, 0);             
CREATE CACHED TABLE "PUBLIC"."ENDNOTE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER NOT NULL,
    "SCENE_ID" BIGINT
);          
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_C" PRIMARY KEY("ID");       
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.ENDNOTE;  
INSERT INTO "PUBLIC"."ENDNOTE" VALUES
(1, '2022-01-08 09:19:04', '2022-01-08 09:19:04', '01', '', STRINGDECODE('<p>\n      note de renvoi de la sc&#232;ne 1\n    </p>'), '', 1, 1);           
CREATE CACHED TABLE "PUBLIC"."GENDER"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHILDHOOD" INTEGER NOT NULL,
    "ADOLESCENCE" INTEGER NOT NULL,
    "ADULTHOOD" INTEGER NOT NULL,
    "RETIREMENT" INTEGER NOT NULL,
    "ICONE" VARCHAR(256)
);            
ALTER TABLE "PUBLIC"."GENDER" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7" PRIMARY KEY("ID");        
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.GENDER;   
INSERT INTO "PUBLIC"."GENDER" VALUES
(1, '2022-01-08 08:22:22', '2022-01-08 08:22:22', 'Homme', '', '', '', 6, 12, 18, 65, NULL),
(2, '2022-01-08 08:22:22', '2022-01-08 08:22:22', 'Femme', '', '', '', 6, 12, 18, 65, NULL); 
CREATE CACHED TABLE "PUBLIC"."IDEAS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "STATUS" INTEGER,
    "CATEGORY" VARCHAR(256)
);               
ALTER TABLE "PUBLIC"."IDEAS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4" PRIMARY KEY("ID");         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDEAS;    
CREATE CACHED TABLE "PUBLIC"."INTERNAL"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "KEY" VARCHAR(512),
    "STRING_VALUE" VARCHAR(4096),
    "INTEGER_VALUE" INTEGER,
    "BOOLEAN_VALUE" BOOLEAN,
    "BINVALUE" BINARY(16384)
);             
ALTER TABLE "PUBLIC"."INTERNAL" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_50" PRIMARY KEY("ID");     
-- 43 +/- SELECT COUNT(*) FROM PUBLIC.INTERNAL;
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(1, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'BookCreationDate', '', 0, FALSE, NULL),
(2, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'BookUpdate', '2022-01-08 08:22:22', 0, FALSE, NULL),
(3, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Title', 'Nouvel essai 2022', 0, FALSE, NULL),
(4, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'SubTitle', '', 0, FALSE, NULL),
(5, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Author', '', 0, FALSE, NULL),
(6, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Copyright', '', 0, FALSE, NULL),
(7, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Blurb', '', 0, FALSE, NULL),
(8, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Notes', '', 0, FALSE, NULL),
(9, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Assistant', '', 0, FALSE, NULL),
(10, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Polti', '0', 0, FALSE, NULL),
(11, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Step', '0', 0, FALSE, NULL),
(12, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Scenario', '0', 0, FALSE, NULL),
(13, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Markdown', '0', 0, FALSE, NULL),
(14, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ISBN', '', 0, FALSE, NULL),
(15, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'UUID', '', 0, FALSE, NULL),
(16, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'Language', '', 0, FALSE, NULL),
(17, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'BackupDir', '', 0, FALSE, NULL),
(18, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'BackupAuto', '0', 0, FALSE, NULL),
(19, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'BackupIncrement', '0', 0, FALSE, NULL),
(20, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'xEditorModless', '1', 0, FALSE, NULL),
(21, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'xEditorUse', '1', 0, FALSE, NULL),
(22, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'xEditorName', 'Libreoffice', 0, FALSE, NULL),
(23, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'xEditorExtension', 'odt', 0, FALSE, NULL),
(24, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'xEditorTemplate', '/home/bernard/tests_ostorybook/Modele.odt', 0, FALSE, NULL),
(25, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ExportDirectory', '', 0, FALSE, NULL),
(26, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ExportChapterBookTitle', '0', 0, FALSE, NULL),
(27, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ExportChapterBreakpage', '0', 0, FALSE, NULL),
(28, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ExportHtmlCss', '', 0, FALSE, NULL),
(29, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ExportHtmlNav', '0', 0, FALSE, NULL),
(30, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ExportHtmlNavImage', '0', 0, FALSE, NULL),
(31, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ExportHtmlMultiChapter', '0', 0, FALSE, NULL),
(32, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ExportHtmlMultiScene', '0', 0, FALSE, NULL),
(33, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ImportDirectory', '', 0, FALSE, NULL),
(34, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'ImportFile', '', 0, FALSE, NULL),
(35, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'BookLayout', '000001000', 0, FALSE, NULL),
(36, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'SceneSeparator', '.oOo.', 0, FALSE, NULL),
(37, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'UseCalendar', '', 0, FALSE, NULL),
(38, '2022-01-08 08:21:01', '2022-01-08 08:21:01', '', '', '', '', 'EpubCover', '0', 0, FALSE, NULL),
(39, '2022-01-08 08:22:22', '2022-01-08 08:22:22', '', '', '', '', 'Stage', '0', 0, FALSE, NULL);    
INSERT INTO "PUBLIC"."INTERNAL" VALUES
(40, '2022-01-08 08:22:23', '2022-01-08 08:22:23', '', '', '', '', 'TypistUse', '0', 0, FALSE, NULL),
(41, '2022-01-08 08:46:09', '2022-01-08 08:46:09', '', '', '', '', 'MemosView', '', 0, FALSE, NULL),
(42, '2022-01-08 14:40:57', '2022-01-08 14:40:57', '', '', '', '', 'TypistShowInfo', '', 0, FALSE, NULL),
(43, '2022-01-19 22:18:42', '2022-01-19 22:18:42', '', '', '', '', 'Nature', '0', 0, FALSE, NULL); 
CREATE CACHED TABLE "PUBLIC"."LOCATION"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ADDRESS" VARCHAR(256),
    "CITY" VARCHAR(256),
    "COUNTRY" VARCHAR(256),
    "ALTITUDE" INTEGER,
    "GPS" VARCHAR(256),
    "LOCATION_ID" BIGINT
);    
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_9" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.LOCATION; 
INSERT INTO "PUBLIC"."LOCATION" VALUES
(1, '2022-01-08 14:37:49', '2022-01-08 14:37:50', 'Vannes', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), '', '', '', NULL, '', NULL),
(2, '2022-01-08 14:37:54', '2022-01-08 14:37:55', 'Gare', '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), '', '', '', NULL, '', 1);        
CREATE CACHED TABLE "PUBLIC"."PART"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "NUMBER" INTEGER,
    "PART_ID" BIGINT,
    "CREATION_TS" TIMESTAMP,
    "OBJECTIVE_TS" TIMESTAMP,
    "DONE_TS" TIMESTAMP,
    "OBJECTIVE_CH" INTEGER
);       
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2" PRIMARY KEY("ID");          
-- 4 +/- SELECT COUNT(*) FROM PUBLIC.PART;     
INSERT INTO "PUBLIC"."PART" VALUES
(1, '2022-01-08 08:22:22', '2022-01-20 14:54:54', 'Partie 1', '', '', '', 1, NULL, TIMESTAMP '2022-01-08 08:22:22.633', NULL, NULL, 10000),
(2, '2022-01-15 20:07:06', '2022-01-15 20:07:06', 'Partie II', '', '', '', 2, NULL, TIMESTAMP '2022-01-15 20:07:06.66', NULL, NULL, 0),
(3, '2022-01-15 20:07:06', '2022-01-15 20:07:06', 'Partie III', '', '', '', 3, NULL, TIMESTAMP '2022-01-15 20:07:06.699', NULL, NULL, 0),
(4, '2022-01-15 20:07:06', '2022-01-15 20:07:06', 'Partie IV', '', '', '', 4, NULL, TIMESTAMP '2022-01-15 20:07:06.741', NULL, NULL, 0);      
CREATE CACHED TABLE "PUBLIC"."PERSON"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "GENDER_ID" BIGINT,
    "FIRSTNAME" VARCHAR(256),
    "LASTNAME" VARCHAR(256),
    "ABBREVIATION" VARCHAR(256),
    "BIRTHDAY" TIMESTAMP,
    "DAYOFDEATH" TIMESTAMP,
    "OCCUPATION" VARCHAR(256),
    "COLOR" INTEGER,
    "CATEGORY_ID" BIGINT
);         
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_8" PRIMARY KEY("ID");        
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.PERSON;   
INSERT INTO "PUBLIC"."PERSON" VALUES
(1, '2022-01-08 09:13:57', '2022-01-08 15:04:32', 'Leo ', STRINGDECODE('<p>\n      Pilier de bar\n    </p>'), STRINGDECODE('<p>\n      65 ans\n    </p>'), STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 'Leo', '', 'Le', NULL, NULL, '', -13408513, 1),
(2, '2022-01-08 14:37:16', '2022-01-14 08:55:37', 'Anna ', STRINGDECODE('<p>\n      Anna\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 2, 'Anna', '', 'An', NULL, NULL, '', -154, 1);              
CREATE CACHED TABLE "PUBLIC"."PLOT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);      
ALTER TABLE "PUBLIC"."PLOT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_25" PRIMARY KEY("ID");         
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.PLOT;     
INSERT INTO "PUBLIC"."PLOT" VALUES
(1, '2022-01-08 15:01:00', '2022-01-08 15:01:01', 'discute', STRINGDECODE('<p>\n      discute avec SDF\n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), ''),
(2, '2022-01-08 15:03:25', '2022-01-08 15:03:26', 'embrouille', STRINGDECODE('<p>\n      embrouille \n    </p>'), '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), ''); 
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "PERSON1_ID" BIGINT,
    "PERSON2_ID" BIGINT,
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT
); 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_7A" PRIMARY KEY("ID"); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP;             
CREATE CACHED TABLE "PUBLIC"."STATUS"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ICONE" VARCHAR(256)
);       
ALTER TABLE "PUBLIC"."STATUS" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_92" PRIMARY KEY("ID");       
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATUS;   
CREATE CACHED TABLE "PUBLIC"."STRAND"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "ABBREVIATION" VARCHAR(256),
    "COLOR" INTEGER,
    "SORT" INTEGER
);       
ALTER TABLE "PUBLIC"."STRAND" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_926" PRIMARY KEY("ID");      
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.STRAND;   
INSERT INTO "PUBLIC"."STRAND" VALUES
(1, '2022-01-08 08:22:22', '2022-01-08 08:22:22', STRINGDECODE('Fil par d\u00e9faut'), '', '', '', 'DS', -1052673, 1),
(2, '2022-01-08 08:44:00', '2022-01-08 08:44:10', 'Barre_objectif', '<pre http-equiv="content-type" content="text/html; charset=utf-8" class="moz-quote-pre" wrap="">&#199;a existe d&#233;j&#224;, c&#8217;est Jean qui la con&#231;ue</pre>', '', '', ' Barre_objectif ', -52378, 2);            
CREATE CACHED TABLE "PUBLIC"."TAG"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CATEGORY" VARCHAR(255)
);          
ALTER TABLE "PUBLIC"."TAG" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_1" PRIMARY KEY("ID");           
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.TAG;      
INSERT INTO "PUBLIC"."TAG" VALUES
(1, 1, '2022-01-08 14:41:46', '2022-01-15 20:22:21', 'Bouteille', STRINGDECODE('<p>\n      Bouteille\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      \n    </p>\n    <p>\n      lien essai <a href=\"file:///home/bernard/divers/alain-rey.jpg\">a rey</a>&#160;\n    </p>'), STRINGDECODE('<p>\n      <a href=\"file:///home/bernard/documents/curiosit\u00e9/tokamak-defisCEA.pdf\">tokamak-defisCEA</a>&#160;\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      bouteille\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      nouveau lien  <a href=\"file:///home/bernard/tmp/pneu_tucson.jpg\">pneu_tucson</a>&#160;\n    </p>'), STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), '');      
CREATE CACHED TABLE "PUBLIC"."TAG_LINK"(
    "ID" BIGINT NOT NULL,
    "TYPE" INTEGER NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(255),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "START_SCENE_ID" BIGINT,
    "END_SCENE_ID" BIGINT,
    "CHARACTER_ID" BIGINT,
    "LOCATION_ID" BIGINT,
    "TAG_ID" BIGINT
);
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_2D" PRIMARY KEY("ID");     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG_LINK; 
CREATE CACHED TABLE "PUBLIC"."TIMEEVENT"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "TITLE" VARCHAR(256),
    "EVENT_TS" TIMESTAMP,
    "DURATION" VARCHAR(255),
    "TIME_STEP" INTEGER,
    "CATEGORY" VARCHAR(255),
    "COLOR" INTEGER
);  
ALTER TABLE "PUBLIC"."TIMEEVENT" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_A8" PRIMARY KEY("ID");    
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.TIMEEVENT;
INSERT INTO "PUBLIC"."TIMEEVENT" VALUES
(1, '2022-01-08 14:44:31', '2022-01-08 15:01:51', 'rencontre avec SDF', '', STRINGDECODE('<p>\n      rencontre avec SDF\n    </p>'), '', 'rencontre avec SDF', TIMESTAMP '2022-01-08 13:00:00', '00-00-00_00:00:00', 0, '', -13369549);
CREATE CACHED TABLE "PUBLIC"."PERSON_ATTRIBUTE"(
    "PERSON_ID" BIGINT NOT NULL,
    "ATTRIBUTE_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_ATTRIBUTE;         
CREATE CACHED TABLE "PUBLIC"."PERSON_CATEGORIES"(
    "PERSON_ID" BIGINT NOT NULL,
    "CATEGORY_ID" BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_CATEGORIES;        
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_ITEMS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_ITEMS;       
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_LOCATIONS;   
CREATE CACHED TABLE "PUBLIC"."RELATIONSHIP_PERSONS"(
    "RELATIONSHIP_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_PERSONS;     
CREATE CACHED TABLE "PUBLIC"."SCENE_ITEM"(
    "SCENE_ID" BIGINT NOT NULL,
    "ITEM_ID" BIGINT NOT NULL
);    
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_ITEM;               
INSERT INTO "PUBLIC"."SCENE_ITEM" VALUES
(1, 1);               
CREATE CACHED TABLE "PUBLIC"."SCENE_LOCATION"(
    "SCENE_ID" BIGINT NOT NULL,
    "LOCATION_ID" BIGINT NOT NULL
);            
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_LOCATION;           
INSERT INTO "PUBLIC"."SCENE_LOCATION" VALUES
(1, 2),
(2, 1);   
CREATE CACHED TABLE "PUBLIC"."SCENE_PERSON"(
    "SCENE_ID" BIGINT NOT NULL,
    "PERSON_ID" BIGINT NOT NULL
);
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PERSON;             
INSERT INTO "PUBLIC"."SCENE_PERSON" VALUES
(1, 1),
(2, 2);     
CREATE CACHED TABLE "PUBLIC"."SCENE_PLOT"(
    "SCENE_ID" BIGINT NOT NULL,
    "PLOT_ID" BIGINT NOT NULL
);    
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PLOT;               
INSERT INTO "PUBLIC"."SCENE_PLOT" VALUES
(1, 2),
(2, 1);       
CREATE CACHED TABLE "PUBLIC"."SCENE_STRAND"(
    "SCENE_ID" BIGINT NOT NULL,
    "STRAND_ID" BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_STRAND;             
CREATE CACHED TABLE "PUBLIC"."SCENE"(
    "ID" BIGINT NOT NULL,
    "CREATION" VARCHAR(255),
    "MAJ" VARCHAR(255),
    "NAME" VARCHAR(256),
    "DESCRIPTION" VARCHAR(32768),
    "NOTES" VARCHAR(32768),
    "ASSISTANT" VARCHAR(32768),
    "CHAPTER_ID" BIGINT,
    "STRAND_ID" BIGINT,
    "SCENENO" INTEGER,
    "SCENE_TS" TIMESTAMP,
    "TITLE" VARCHAR(2048),
    "SUMMARY" VARCHAR(32768),
    "STATUS" INTEGER,
    "DURATION" VARCHAR(255),
    "RELATIVE_DATE_DIFFERENCE" INTEGER,
    "RELATIVE_TIME" VARCHAR(255),
    "RELATIVE_SCENE_ID" BIGINT,
    "INFORMATIVE" BOOLEAN,
    "SCENARIO_PITCH" VARCHAR(1024),
    "SCENARIO_STAGE" INTEGER,
    "SCENARIO_START" INTEGER,
    "SCENARIO_END" INTEGER,
    "SCENARIO_MOMENT" INTEGER,
    "SCENARIO_LOC" INTEGER,
    "ODF" VARCHAR(256),
    "NARRATOR_ID" BIGINT,
    "INTENSITY" INTEGER
);             
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."CONSTRAINT_4B" PRIMARY KEY("ID");        
-- 18 +/- SELECT COUNT(*) FROM PUBLIC.SCENE;   
INSERT INTO "PUBLIC"."SCENE" VALUES
(1, '2022-01-08 08:22:22', '2022-01-20 14:51:46', STRINGDECODE('Sc\u00e8ne 1'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 2, 1, TIMESTAMP '2022-01-08 08:22:22.635', STRINGDECODE('Sc\u00e8ne 1'), STRINGDECODE('<p>\n      Il s''agit d''un essai qui fait suite &#224; l''&#233;tude de Scrivener.\n    </p>\n    <p>\n      <a href=\"#endnote_001\" name=\"innote_001\"><small><sup>&#160;(1)</sup></small></a>\n    </p>'), 1, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 4),
(2, '2022-01-08 08:38:12', '2022-01-22 11:21:06', STRINGDECODE('Sc\u00e8ne 2'), STRINGDECODE('<style type=\"text/css\">\n      <!--\n        body { font-family: Serif; font-size: 16pt }\n      -->\n    </style>\n    \n  \n  \n    <p>\n      \n    </p>'), STRINGDECODE('<style type=\"text/css\">\n      <!--\n        body { font-family: Serif; font-size: 16pt }\n      -->\n    </style>\n    \n  \n  \n    <p>\n      \n    </p>'), STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 1, 2, TIMESTAMP '2022-01-08 15:00:00.201', STRINGDECODE('Sc\u00e8ne 2'), STRINGDECODE('<style type=\"text/css\">\n      <!--\n        body { font-family: Serif; font-size: 16pt }\n      -->\n    </style>\n    \n  \n  \n    <p>\n      Sc&#232;ne 2 du nouveau projet.\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 2),
(3, '2022-01-08 09:19:56', '2022-01-20 14:51:48', 'Suivi du nombre de mots', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 2, 3, TIMESTAMP '2022-01-06 00:00:00.419', 'Suivi du nombre de mots', STRINGDECODE('<p>\n      Suivi du nombre de mots\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      ok\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 4),
(5, '2022-01-14 08:52:54', '2022-01-20 14:51:52', STRINGDECODE('Sc\u00e8ne 05'), '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 1, 2, 5, TIMESTAMP '2022-01-14 08:52:54.161', STRINGDECODE('Sc\u00e8ne 05'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(6, '2022-01-14 08:52:54', '2022-01-14 08:52:54', STRINGDECODE('Sc\u00e8ne 06'), '', '', '', 1, NULL, 6, TIMESTAMP '2022-01-14 08:52:54.22', STRINGDECODE('Sc\u00e8ne 06'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(7, '2022-01-14 08:52:54', '2022-01-20 14:53:26', 'sophie 1', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 1, 2, 7, TIMESTAMP '2022-01-14 08:52:54.274', 'sophie 1', STRINGDECODE('<p>\n      Arriv&#233; en Bretagne en 1991, j&#8217;ai vu comme tout le monde le d&#233;veloppement \n      et la transformation de la r&#233;gion. Les probl&#233;matiques que vous aurez &#224; \n      traiter sont nombreuses. Il en est une qui pr&#233;occupe gravement la \n      personne pourtant optimiste que je suis. Il s&#8217;agit de la pression \n      immobili&#232;re, de la difficult&#233; &#224; se loger que rencontrent ceux qui sont \n      en &#171;&#160;premi&#232;re ligne&#160;&#187; et, plus g&#233;n&#233;ralement, les locaux qui sont oblig&#233;s \n      de s&#8217;&#233;loigner de plus en plus des bassins d&#8217;emploi.\n    </p>\n    <p>\n      Le souvenir des &#171;&#160;Gilets jaunes&#160;&#187; n&#8217;est pas qu&#8217;un souvenir. Les germes \n      de la r&#233;volte sont toujours pr&#233;sents. Il a fallu une modeste d&#233;cision \n      (les &#171;&#160;80 kms/h&#160;&#187;), cumul&#233;e au projet de taxe carbone, appliqu&#233;e \n      uniform&#233;ment &#8211; et donc b&#234;tement &#8211; sans tenir compte de la r&#233;alit&#233; du \n      terrain (une d&#233;cision concert&#233;e entre les pr&#233;fets et les &#233;lus auraient \n      &#233;vit&#233; l&#8217;explosion qu&#8217;on a connue) pour d&#233;clencher un mouvement puissant \n      et incontr&#244;lable chez des citoyens qui avaient accumul&#233; les \n      ressentiments&#160;: stagnation des salaires (bien faibles dans \n      l&#8217;agroalimentaire), mode de vie impos&#233; par les difficult&#233;s de logement, \n      arr&#234;t de l&#8217;ascenseur social, sentiment de d&#233;classement&#8230; &#192; ce tableau \n      j&#8217;ajouterai la mont&#233;e du sentiment &#171;&#160;anti &#8211; parisien&#160;&#187; sur lequel je \n      reviendrai.\n    </p>\n    <p>\n      La faiblesse des corps interm&#233;diaires dans lesquels de moins en moins de \n      jeunes &#8211; par ailleurs de plus en plus individualistes &#8211; se reconnaissent \n      (j&#8217;ai vu ce ph&#233;nom&#232;ne se d&#233;velopper lorsque je travaillais encore, \n      l&#8217;&#233;ducation nationale &#233;tant un lieu privil&#233;gi&#233; pour l&#8217;observation des \n      mutations sociales) favorise l&#8217;apparition de ces mouvements. Personne ne \n      peut pr&#233;voir le moment o&#249; une nouvelle explosion se produira.\n    </p>\n    <p>\n      De par ta nouvelle position, tu auras acc&#232;s &#224; des informations dont nous \n      ne serons pas destinataires. Il est un fait cependant bien &#233;tabli&#160;: le \n      pouvoir actuel redoute plus que tout un nouveau mouvement du type \n      &#171;&#160;Gilets jaunes&#160;&#187;. Ce n&#8217;est pas une simple crainte, les contacts que tu \n      auras te le confirmeront.\n    </p>\n    <p>\n      J&#8217;ignore quels sont les champs d&#8217;intervention pr&#233;cis du conseil \n      d&#233;partemental. Pour autant, il me semble que les d&#233;partements \n      privil&#233;gi&#233;s se doivent de donner l&#8217;exemple. &#192; ce titre, j&#8217;ai appr&#233;ci&#233; \n      les propos du nouveau pr&#233;sident&#160;:\n    </p>\n    <p>\n      <b>&#171;&#160;Ce mandat sera social. Nous avons des moyens financiers. Ils \n      doivent permettre d&#8217;avoir une politique sociale renforc&#233;e, car nous \n      allons vivre des bouleversements majeurs. Notre territoire attire. Il y \n      aura des sujets sur le logement, sur le vieillissement de la population. \n      &#187; </b>\n    </p>\n    <p>\n      <b>&#171;&#160;D&#232;s mercredi prochain, je serai dans le canton de Gourin, parce que \n      je veux envoyer un signal fort au monde rural, &#224; la solidarit&#233; \n      territoriale. Je rencontrerai l&#8217;ensemble des maires et &#233;lus de la \n      communaut&#233; de communes du roi Morvan.&#160;&#187;</b>\n    </p>\n    <p>\n      <b>J&#8217;esp&#232;re qu&#8217;il ne s&#8217;agit pas seulement de propos convenus. Un \n      d&#233;partement comme le Morbihan, symbole s&#8217;il en est de tr&#232;s grandes \n      in&#233;galit&#233;s (combien de Porsche croise-t-on en une journ&#233;e&#160;dans le coin \n      ??), a les moyens de s&#8217;&#233;riger en laboratoire. En a-t-il la volont&#233; et \n      pourra-t-il ou voudra-t-il s&#8217;en donner les moyens&#160;?</b>\n    </p>\n    <p>\n      <b>Tu trouveras ci-joint un article paru dans OF, il est &#233;difiant. \n      R&#233;cemment, je discutais avec une personne amie d&#8217;une n&#233;gociatrice \n      immobili&#232;re. &#192; Auray, 68 personnes ont postul&#233; pour un seul \n      appartement&#160;!! On imagine bien les effets de &#171;&#160;cette surtension&#160;&#187;&#160;: \n      &#233;loignement des zones d&#8217;activit&#233;s, saturation des principaux axes de \n      communication, probl&#232;mes de transport, je ne d&#233;veloppe pas, tu connais \n      le sujet mieux que moi. Avec des effets pervers insoutenables pour les \n      rel&#233;gu&#233;s, pour le jeune artisan, par exemple, qui interviendra dans des \n      r&#233;sidences secondaires situ&#233;es dans des espaces d&#233;sert&#233;s une bonne \n      partie de l&#8217;ann&#233;e et bien &#233;loign&#233;es de son lieu d&#8217;habitation. Ce qui ne \n      pourra qu&#8217;accro&#238;tre son ressentiment. </b>\n    </p>\n    <p>\n      <b>J&#8217;ai r&#233;cemment rencontr&#233; Bruno Guillemin, correspondant de \n      Ouest-France qui m&#8217;a relat&#233; le dispositif mis en place par la commune du \n      Bono. Les d&#233;cideurs avaient r&#233;serv&#233; des lots &#224; des populations cibl&#233;es \n      en imposant des r&#232;gles li&#233;es &#224; dur&#233;e d&#8217;occupation minimale avant la \n      revente, etc. Apparemment, ces r&#232;gles ne seraient pas respect&#233;es et la \n      recherche du profit se poursuit. Il ne s&#8217;agit pas pour moi de pratiquer \n      la d&#233;lation dont j&#8217;ai horreur, mais de pointer des dysfonctionnements ou \n      la faiblesse de certains responsables qui rendent caduque toute \n      initiative a priori progressiste et juste. </b>\n    </p>\n    <p>\n      <b>Cette question du logement, j&#8217;en avais parl&#233; &#224; plusieurs reprises &#224; \n      Olivier Killman dont je salue la m&#233;moire avec &#233;motion. J&#8217;avais &#233;voqu&#233; la \n      question des r&#233;serves fonci&#232;res et, plus g&#233;n&#233;ralement, celle de \n      l&#8217;accueil des populations, de la mixit&#233;, etc. Comme tu le sais, il &#233;tait \n      tr&#232;s conscient de cette r&#233;alit&#233;. </b>\n    </p>\n    <p>\n      <b>D&#8217;autres questions se font jour&#160;: jusqu&#8217;o&#249; faut-il construire&#160;? \n      Quelle taille peut atteindre une commune avant que les effets pervers ne \n      se manifestent&#160;? Les d&#233;mographes, les g&#233;ographes, les urbanistes \n      pourraient nous apporter un &#233;clairage.</b>\n    </p>\n    <p>\n      <b>Autre r&#233;alit&#233; que je pourrais citer&#160;: AirB&amp;B qui ass&#232;che le march&#233; de \n      la location. Mieux vaut louer trois mois l&#8217;&#233;t&#233; &#224; Carnac, Arradon ou \n      Saint-Philibert et disposer &#224; loisir de son bien pour le restant de \n      l&#8217;ann&#233;e, sans les contraintes inh&#233;rentes &#224; la location. En attendant, \n      les jeunes professionnels devront parcourir des kilom&#232;tres pour \n      entretenir les biens situ&#233;s dans ces &#171;&#160;r&#233;serves&#160;&#187;.</b>\n    </p>\n    <p>\n      <b>Je crains que cette tendance tr&#232;s marqu&#233;e constat&#233;e dans d&#8217;autres \n      r&#233;gions conjugu&#233;e &#224; la pression immobili&#232;re fasse &#224; terme r&#233;agir des \n      citoyens au caract&#232;re bien tremp&#233;. Cela renforce le sentiment \n      &#171;&#160;anti-parisien&#160;&#187; que j&#8217;&#233;voquais. Je refuse d&#8217;utiliser les clich&#233;s mais \n      il est vrai qu&#8217;en Bretagne, les associations savent mobiliser les \n      habitants qui se montrent tr&#232;s r&#233;ceptifs lorsque les causes leur \n      paraissent justes. J&#8217;ai en m&#233;moire le &#171;&#160;Peuple des dunes&#160;&#187;, &#224; Erdeven \n      qui a fait reculer le groupe Lafarge. Esp&#233;rons que des d&#233;cisions \n      courageuses seront prises et appliqu&#233;es pour &#233;viter ce genre de d&#233;rive.</b>\n    </p>\n    <p>\n      <b>Comme chacun le sait, un nouveau mouvement de contestation ing&#233;rable \n      servirait les int&#233;r&#234;ts des plus extr&#233;mistes et des complotistes de tout \n      poil. Que se passerait-il si d&#8217;aventure cela se produisait&#160;? Je refuse \n      de l&#8217;imaginer.</b>\n    </p>\n    <p>\n      <b>Tu penseras peut-&#234;tre que je broie du noir ou que je m&#8217;enfonce dans \n      une spirale d&#233;pressive&#160;! Pas du tout. C&#8217;est simplement le d&#233;sir \n      d&#8217;exprimer ce que je ressens comme bon nombre de personnes. </b>\n    </p>\n    <p>\n      <b>G&#233;rer un d&#233;partement, une communaut&#233;, etc, revient &#224; fixer des \n      priorit&#233;s apr&#232;s avoir analys&#233; la situation. Ces choix, selon moi, ne \n      devraient jamais faire abstraction du ressenti des citoyens. Combien de \n      d&#233;cisions prises apr&#232;s l&#8217;analyse rigoureuse de donn&#233;es fiables se sont \n      sold&#233;es par un &#233;chec&#160;? Se mettre &#171;&#160;dans la t&#234;te des gens&#160;&#187; est une \n      d&#233;marche indispensable pour tout responsable politique. Comme tu le \n      sais, l&#8217;&#233;conomie (la bourse, par exemple !) ne se r&#233;sume pas &#224; de \n      simples chiffres. La perception de la r&#233;alit&#233; joue souvent un r&#244;le \n      majeur et contrarie les pronostics.</b>\n    </p>\n    <p>\n      <b>Comme tu peux le constater, m</b>es propos sonnent tr&#232;s s&#233;rieux. \n      C&#8217;est par moment salutaire, me semble-t-il.\n    </p>\n    <p>\n      Le th&#232;me principal que j&#8217;ai abord&#233; ne vous est pas &#233;tranger et je n&#8217;ai \n      pas la pr&#233;tention de faire preuve d&#8217;originalit&#233; ou de me poser en \n      donneurs de le&#231;ons. Ce ne sont que quelques r&#233;flexions.\n    </p>\n    <p>\n      Peut-&#234;tre pourront-elles alimenter les d&#233;bats qui auront lieu lors des \n      r&#233;unions du conseil d&#233;partemental ( en fait, j&#8217;ignore comment cela se \n      passe!).\n    </p>\n    <p>\n      \n    </p>\n    <p>\n      Dans un prochain courrier ( apr&#232;s les vacances!), j&#8217;aborderai l&#8217;&#233;cologie \n      sous un angle particulier.\n    </p>\n    <p>\n      Bonnes vacances &#224; toi et &#224; ta famille.\n    </p>\n    <p>\n      Amicalement,\n    </p>\n    <p>\n      Bernard\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '/home/bernard/sophie/sophie1.odt', NULL, 1);         
INSERT INTO "PUBLIC"."SCENE" VALUES
(8, '2022-01-15 07:46:56', '2022-01-20 14:51:43', '15janvier', '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), NULL, 2, 8, TIMESTAMP '2022-01-15 07:46:40.243', '15janvier', STRINGDECODE('<p>\n      15janvier\n    </p>'), 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(9, '2022-01-15 19:59:55', '2022-01-20 14:51:45', STRINGDECODE('autre sc\u00e8ne'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), NULL, 2, 9, TIMESTAMP '2022-01-15 19:59:09.985', STRINGDECODE('autre sc\u00e8ne'), STRINGDECODE('<p>\n      affichage des sc&#232;nes d&#233;faillant\n    </p>'), 0, '', 0, '', -1, TRUE, '', 0, 0, 0, 0, 0, '', NULL, 4),
(10, '2022-01-15 20:05:39', '2022-01-15 20:05:39', STRINGDECODE('Sc\u00e8ne 10'), '', '', '', 2, NULL, 10, TIMESTAMP '2022-01-15 20:05:39.287', STRINGDECODE('Sc\u00e8ne 10'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(11, '2022-01-15 20:05:39', '2022-01-15 20:05:39', STRINGDECODE('Sc\u00e8ne 11'), '', '', '', 2, NULL, 11, TIMESTAMP '2022-01-15 20:05:39.483', STRINGDECODE('Sc\u00e8ne 11'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(12, '2022-01-15 20:05:39', '2022-01-15 20:05:39', STRINGDECODE('Sc\u00e8ne 12'), '', '', '', 2, NULL, 12, TIMESTAMP '2022-01-15 20:05:39.673', STRINGDECODE('Sc\u00e8ne 12'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(13, '2022-01-15 20:05:39', '2022-01-15 20:05:39', STRINGDECODE('Sc\u00e8ne 13'), '', '', '', 2, NULL, 13, TIMESTAMP '2022-01-15 20:05:39.869', STRINGDECODE('Sc\u00e8ne 13'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(14, '2022-01-15 20:06:03', '2022-01-15 20:06:03', STRINGDECODE('Sc\u00e8ne 14'), '', '', '', 3, NULL, 14, TIMESTAMP '2022-01-15 20:06:03.43', STRINGDECODE('Sc\u00e8ne 14'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(15, '2022-01-15 20:06:03', '2022-01-15 20:06:03', STRINGDECODE('Sc\u00e8ne 15'), '', '', '', 3, NULL, 15, TIMESTAMP '2022-01-15 20:06:03.588', STRINGDECODE('Sc\u00e8ne 15'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(16, '2022-01-15 20:06:03', '2022-01-15 20:12:27', STRINGDECODE('Sc\u00e8ne 16'), '', '', STRINGDECODE('<html>\n  <head>\n    \n  </head>\n  <body>\n  </body>\n</html>\n'), 3, 2, 16, TIMESTAMP '2022-01-15 20:06:03.747', STRINGDECODE('Sc\u00e8ne 16'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(17, '2022-01-15 20:06:03', '2022-01-15 20:06:03', STRINGDECODE('Sc\u00e8ne 17'), '', '', '', 3, NULL, 17, TIMESTAMP '2022-01-15 20:06:03.916', STRINGDECODE('Sc\u00e8ne 17'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(18, '2022-01-15 20:06:04', '2022-01-15 20:06:04', STRINGDECODE('Sc\u00e8ne 18'), '', '', '', 3, NULL, 18, TIMESTAMP '2022-01-15 20:06:04.094', STRINGDECODE('Sc\u00e8ne 18'), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1),
(19, '2022-01-15 20:09:02', '2022-01-15 20:09:03', STRINGDECODE('nouvelle sc\u00e8ne'), '', '', STRINGDECODE('<html>\n  <head>\n\n  </head>\n  <body>\n    <p style=\"margin-top: 0\">\n      \n    </p>\n  </body>\n</html>\n'), 4, 2, 19, TIMESTAMP '2022-01-15 20:08:44.773', STRINGDECODE('nouvelle sc\u00e8ne '), '<p></p>', 0, '', 0, '', -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL, 1);    
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB562174C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."CATEGORY" ADD CONSTRAINT "PUBLIC"."FK31A8ACFE18A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C648F075E" FOREIGN KEY("CHAPTER_ID") REFERENCES "PUBLIC"."CHAPTER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C37380422" FOREIGN KEY("NARRATOR_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FA8B82A3E" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."SCENE" ADD CONSTRAINT "PUBLIC"."FK4B1206C79E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F558C3830D6" FOREIGN KEY("GENDER_ID") REFERENCES "PUBLIC"."GENDER"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F36DA5802" FOREIGN KEY("CHARACTER_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E65A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB11979E12EB6" FOREIGN KEY("STRAND_ID") REFERENCES "PUBLIC"."STRAND"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B7BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;             
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A68BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B5437ECF" FOREIGN KEY("PERSON1_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F948B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F094618A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;  
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696084C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."ENDNOTE" ADD CONSTRAINT "PUBLIC"."FKCB0ADF2D5A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38B543F32E" FOREIGN KEY("PERSON2_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;         
ALTER TABLE "PUBLIC"."RELATIONSHIP" ADD CONSTRAINT "PUBLIC"."FK7A835E38D00CFAE2" FOREIGN KEY("END_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B45A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;              
ALTER TABLE "PUBLIC"."LOCATION" ADD CONSTRAINT "PUBLIC"."FK9FF58FB54C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."SCENE_STRAND" ADD CONSTRAINT "PUBLIC"."FK87BBB1195A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F4C31DD56" FOREIGN KEY("LOCATION_ID") REFERENCES "PUBLIC"."LOCATION"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."SCENE_ITEM" ADD CONSTRAINT "PUBLIC"."FK7BFE92E648B9F696" FOREIGN KEY("ITEM_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK; 
ALTER TABLE "PUBLIC"."SCENE_PERSON" ADD CONSTRAINT "PUBLIC"."FK81CA0A685A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."PERSON_CATEGORIES" ADD CONSTRAINT "PUBLIC"."FKA7F0946BFBA7856" FOREIGN KEY("PERSON_ID") REFERENCES "PUBLIC"."PERSON"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."PERSON" ADD CONSTRAINT "PUBLIC"."FK8C768F5518A1ECB6" FOREIGN KEY("CATEGORY_ID") REFERENCES "PUBLIC"."CATEGORY"("ID") NOCHECK;            
ALTER TABLE "PUBLIC"."RELATIONSHIP_LOCATIONS" ADD CONSTRAINT "PUBLIC"."FK1FB5621753C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;    
ALTER TABLE "PUBLIC"."SCENE_LOCATION" ADD CONSTRAINT "PUBLIC"."FK8E5696085A9C8BFE" FOREIGN KEY("SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;          
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399FD370C73B" FOREIGN KEY("START_SCENE_ID") REFERENCES "PUBLIC"."SCENE"("ID") NOCHECK;           
ALTER TABLE "PUBLIC"."CHAPTER" ADD CONSTRAINT "PUBLIC"."FK56D8082D9B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;   
ALTER TABLE "PUBLIC"."SCENE_PLOT" ADD CONSTRAINT "PUBLIC"."FK7C01A4B4ADF1FBD6" FOREIGN KEY("PLOT_ID") REFERENCES "PUBLIC"."PLOT"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."RELATIONSHIP_ITEMS" ADD CONSTRAINT "PUBLIC"."FK6F2B36F953C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;        
ALTER TABLE "PUBLIC"."RELATIONSHIP_PERSONS" ADD CONSTRAINT "PUBLIC"."FKAAA634B753C52E3A" FOREIGN KEY("RELATIONSHIP_ID") REFERENCES "PUBLIC"."RELATIONSHIP"("ID") NOCHECK;      
ALTER TABLE "PUBLIC"."TAG_LINK" ADD CONSTRAINT "PUBLIC"."FK2DE399F961090AF" FOREIGN KEY("TAG_ID") REFERENCES "PUBLIC"."TAG"("ID") NOCHECK;     
ALTER TABLE "PUBLIC"."PERSON_ATTRIBUTE" ADD CONSTRAINT "PUBLIC"."FKD555DA32490A0FFE" FOREIGN KEY("ATTRIBUTE_ID") REFERENCES "PUBLIC"."ATTRIBUTE"("ID") NOCHECK;
ALTER TABLE "PUBLIC"."PART" ADD CONSTRAINT "PUBLIC"."FK255BF39B56CA96" FOREIGN KEY("PART_ID") REFERENCES "PUBLIC"."PART"("ID") NOCHECK;        
